# Capability: The Workspaces Capability Service

In the Workspaces system, a Capability is some kind of processing we can do
(e.g., standard calibration or **c**alibrated **m**easurement **s**et restore).
Available capabilities can be found in the archive **capabilities** table.
A given capability request is launched when a workflow request is submitted.

To use, first run the Alembic migrations in /schema:

    env CAPO_PROFILE=local alembic upgrade head
Then run:
    `python setup.py develop`

Then you should be able to run this with:

    env CAPO_PROFILE=local pserve --reload dev.ini

Once there, try the following URLs:

To see available capabilities:

- http://localhost:3457/capabilities

To view an existing capability request:

- http://localhost:4444/workspaces/request-status/{capability_request_id}
